# Class UtilTargetError

java.lang.Object
java.lang.Throwable
java.lang.Exception
bsh.UtilEvalError
bsh.UtilTargetError

All Implemented Interfaces:
  `Serializable`

public class UtilTargetError extends UtilEvalError
UtilTargetError is an error corresponding to a TargetError but thrown by a utility or other class that does not have the caller context (Node) available to it. See UtilEvalError for an explanation of the difference between UtilEvalError and EvalError.

See Also:
  - `UtilEvalError`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Throwable`
`t`

## Constructor Summary

Constructors
Constructor
Description
`UtilTargetError(String message, Throwable t)`
`UtilTargetError(Throwable t)`

## Method Summary

Modifier and Type
Method
Description
`EvalError`
`toEvalError(String msg, bsh.SimpleNode node, CallStack callstack)`
Override toEvalError to throw TargetError type.

### Methods inherited from class UtilEvalError

`toEvalError`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### t

public Throwable t

## Constructor Details

### UtilTargetError

public UtilTargetError(String message, Throwable t)

### UtilTargetError

public UtilTargetError(Throwable t)

## Method Details

### toEvalError

public EvalError toEvalError(String msg, bsh.SimpleNode node, CallStack callstack)
Override toEvalError to throw TargetError type.

Overrides:
  `toEvalError` in class `UtilEvalError`
Parameters:
  `msg` - may be null for no additional message.
See Also:
  - invalid reference